import request from '@/utils/request'

// 查询cmc耗材信息列表
export function listMaterial(query) {
  return request({
    url: '/oa/material/list',
    method: 'get',
    params: query
  })
}

// 查询cmc耗材信息详细
export function getMaterial(materialId) {
  return request({
    url: '/oa/material/' + materialId,
    method: 'get'
  })
}

// 新增cmc耗材信息
export function addMaterial(data) {
  return request({
    url: '/oa/material',
    method: 'post',
    data: data
  })
}

// 修改cmc耗材信息
export function updateMaterial(data) {
  return request({
    url: '/oa/material',
    method: 'put',
    data: data
  })
}

// 删除cmc耗材信息
export function delMaterial(materialId) {
  return request({
    url: '/oa/material/' + materialId,
    method: 'delete'
  })
}
